using System;
using System.Xml;
class Program
{
    static void Main()
    {
        int n = Convert.ToInt32(Console.ReadLine());
        HashSet<int> s = new HashSet<int>();
        int max = 2 * n;
        int min = 1;

        string output = "";
        
        for (int i = 0; i < n - 2; i++)
        {
            if (i <= (n+2) / 2)
            {
                if (s.Contains(min) != true)
                {
                    s.Add(min);
                    output += (min);
                    output += (" ");
                }
                if (s.Contains(max) != true)
                {
                    s.Add(max);
                    output += (max);
                    output += (" ");

                }
            }
            else
            {
                if (s.Contains(min) != true)
                {
                    s.Add(min);
                    output += (min);
                    output += (" ");
                }
                if (s.Contains(max) != true)
                {
                    s.Add(max);
                    output += (max);
                    output += (" ");

                }
            }
            max -= 1;
            min += 1;


            //Console.WriteLine(output);
        }

        output += n;
        output += " ";
        output += n + 2;
        output += " ";
        output += n - 1;
        output += " ";
        output += n + 1;
        output += " ";
        char o = output.ElementAt(output.Length/2);
        //output.
        //Console.WriteLine(o);
        string[] di = output.Split(o);
        //string ro = output.ToString();
        //string di = output.ToString();
        //ro.Substring(0, ro.Length/2);
        //di.Substring(di.Length/2, di.Length);
        Console.WriteLine(di[0]);
        //Console.WriteLine(di[1]+o);

        List<char> list = (di[1] + o).ToCharArray().ToList();

        list.RemoveAt(0);

        foreach (char c in list)
        {
            Console.Write(c);
        }

        //Console.WriteLine($"{n} {n + 2}");
        //Console.WriteLine($"{n - 1} {n+1}");



    }
}